com.corticon.rulesemf.assetmodel

## Interface AssetmodelFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AssetmodelFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `AssetmodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AssetmodelFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleflowAsset` | `createRuleflowAsset()` Returns a new object of class 'Ruleflow Asset'
    `RulesheetAsset` | `createRulesheetAsset()` Returns a new object of class 'Rulesheet Asset'
    `RuletestAsset` | `createRuletestAsset()` Returns a new object of class 'Ruletest Asset'
    `TestsheetAsset` | `createTestsheetAsset()` Returns a new object of class 'Testsheet Asset'
    `AssetmodelPackage` | `getAssetmodelPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final AssetmodelFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createRuleflowAsset

          RuleflowAsset createRuleflowAsset()

      Returns a new object of class 'Ruleflow Asset'.
      Returns:
        a new object of class 'Ruleflow Asset'.

    - #### createRulesheetAsset

          RulesheetAsset createRulesheetAsset()

      Returns a new object of class 'Rulesheet Asset'.
      Returns:
        a new object of class 'Rulesheet Asset'.

    - #### createRuletestAsset

          RuletestAsset createRuletestAsset()

      Returns a new object of class 'Ruletest Asset'.
      Returns:
        a new object of class 'Ruletest Asset'.

    - #### createTestsheetAsset

          TestsheetAsset createTestsheetAsset()

      Returns a new object of class 'Testsheet Asset'.
      Returns:
        a new object of class 'Testsheet Asset'.

    - #### getAssetmodelPackage

          AssetmodelPackage getAssetmodelPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.